ch.qos.logback.core

## Class CoreConstants

- java.lang.Object
- - ch.qos.logback.core.CoreConstants

    public class CoreConstants
    extends Object

### Field Summary

Fields
`static int` `BYTES_PER_INT`
`static String` `CAUSED_BY`
`static String` `CLF_DATE_PATTERN` Time format used in Common Log Format
`static String` `CODES_URL`
`static char` `COLON_CHAR`
`static char` `COMMA_CHAR`
`static String` `CONFIGURATION_WATCH_LIST`
`static String` `CONFIGURATION_WATCH_LIST_RESET_X`
`static String` `CONTEXT_NAME_KEY` The key under which the current context name is registered in the logger context.
`static String` `CONTEXT_SCOPE_VALUE`
`static int` `CORE_POOL_SIZE` Number of idle threads to retain in a context's executor service.
`static char` `CURLY_LEFT`
`static char` `CURLY_RIGHT`
`static String` `DAILY_DATE_PATTERN`
`static char` `DASH_CHAR`
`static String` `DEFAULT_CONTEXT_NAME` The default context name.
`static String` `DEFAULT_VALUE_SEPARATOR`
`static String` `DISABLE_SERVLET_CONTAINER_INITIALIZER_KEY`
`static char` `DOLLAR`
`static char` `DOT`
`static char` `DOUBLE_QUOTE_CHAR`
`static Class<?>[]` `EMPTY_CLASS_ARRAY` An empty Class array.
`static String` `EMPTY_STRING` An empty string.
`static String[]` `EMPTY_STRING_ARRAY` An empty string array.
`static char` `ESCAPE_CHAR`
`static String` `EVALUATOR_MAP` The key used in locating the evaluator map in context's object map.
`static String` `FA_FILENAME_COLLISION_MAP` Key used to locate a collision map for FileAppender instances in context's object map.
`static String` `HOSTNAME_KEY` The key under which the local host name is registered in the logger context.
`static String` `ISO8601_PATTERN`
`static String` `ISO8601_STR`
`static String` `JNDI_COMP_PREFIX`
`static String` `LEFT_ACCOLADE`
`static char` `LEFT_PARENTHESIS_CHAR`
`static String` `LINE_SEPARATOR`
`static int` `LINE_SEPARATOR_LEN`
`static String` `MANUAL_URL_PREFIX`
`static int` `MAX_ERROR_COUNT`
`static int` `MAX_POOL_SIZE` Maximum number of threads to allow in a context's executor service.
`static long` `MILLIS_IN_ONE_DAY`
`static long` `MILLIS_IN_ONE_HOUR`
`static long` `MILLIS_IN_ONE_MINUTE`
`static long` `MILLIS_IN_ONE_SECOND`
`static long` `MILLIS_IN_ONE_WEEK`
`static String` `MORE_INFO_PREFIX`
`static int` `OOS_RESET_FREQUENCY`
`static String` `PATTERN_RULE_REGISTRY` Customized pattern conversion rules are stored under this key in the `Context` object store.
`static char` `PERCENT_CHAR`
`static String` `RECONFIGURE_ON_CHANGE_TASK`
`static long` `REFERENCE_BIPS` The reference bogo instructions per second on Ceki's machine (Orion)
`static String` `RESET_MSG_PREFIX`
`static String` `RFA_FILENAME_PATTERN_COLLISION_MAP` Key used to locate a collision map for RollingFileAppender instances in context's object map.
`static String` `RIGHT_ACCOLADE`
`static char` `RIGHT_PARENTHESIS_CHAR`
`static String` `SAFE_JORAN_CONFIGURATION`
`static int` `SCHEDULED_EXECUTOR_POOL_SIZE`
`static int` `SECONDS_TO_WAIT_FOR_COMPRESSION_JOBS` The number of seconds to wait for compression jobs to finish.
`static String` `SEE_FNP_NOT_SET`
`static String` `SEE_MISSING_INTEGER_TOKEN`
`static String` `SHUTDOWN_HOOK_THREAD`
`static char` `SINGLE_QUOTE_CHAR`
`static String` `SIZE_AND_TIME_BASED_FNATP_IS_DEPRECATED`
`static String` `STATUS_LISTENER_CLASS_KEY`
`static String` `SUPPRESSED`
`static String` `SYSOUT`
`static char` `TAB`
`static int` `TABLE_ROW_LIMIT` Number of rows before in an HTML table before, we close the table and create a new one
`static int` `UNBOUND_HISTORY`
`static long` `UNBOUNDED_TOTAL_SIZE_CAP`
`static String` `UNDEFINED_PROPERTY_SUFFIX`
`static String` `UNKNOWN_LOCALHOST`
`static String` `VALUE_OF` By convention, we assume that the static method named "valueOf" taking a string argument can restore a given object from its string representation.
`static String` `WRAPPED_BY`
`static String` `XML_PARSING`

### Constructor Summary

Constructors
Constructor and Description
`CoreConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DISABLE_SERVLET_CONTAINER_INITIALIZER_KEY

    public static final String DISABLE_SERVLET_CONTAINER_INITIALIZER_KEY

See Also:
  Constant Field Values

#### STATUS_LISTENER_CLASS_KEY

    public static final String STATUS_LISTENER_CLASS_KEY

See Also:
  Constant Field Values

#### SYSOUT

    public static final String SYSOUT

See Also:
  Constant Field Values

#### CORE_POOL_SIZE

    public static final int CORE_POOL_SIZE

Number of idle threads to retain in a context's executor service.

See Also:
  Constant Field Values

#### SCHEDULED_EXECUTOR_POOL_SIZE

    public static final int SCHEDULED_EXECUTOR_POOL_SIZE

See Also:
  Constant Field Values

#### MAX_POOL_SIZE

    public static final int MAX_POOL_SIZE

Maximum number of threads to allow in a context's executor service.

See Also:
  Constant Field Values

#### LINE_SEPARATOR

    public static final String LINE_SEPARATOR

#### LINE_SEPARATOR_LEN

    public static final int LINE_SEPARATOR_LEN

#### CODES_URL

    public static final String CODES_URL

See Also:
  Constant Field Values

#### MANUAL_URL_PREFIX

    public static final String MANUAL_URL_PREFIX

See Also:
  Constant Field Values

#### MORE_INFO_PREFIX

    public static final String MORE_INFO_PREFIX

See Also:
  Constant Field Values

#### DEFAULT_CONTEXT_NAME

    public static final String DEFAULT_CONTEXT_NAME

The default context name.

See Also:
  Constant Field Values

#### PATTERN_RULE_REGISTRY

    public static final String PATTERN_RULE_REGISTRY

Customized pattern conversion rules are stored under this key in the `Context` object store.

See Also:
  Constant Field Values

#### ISO8601_STR

    public static final String ISO8601_STR

See Also:
  Constant Field Values

#### ISO8601_PATTERN

    public static final String ISO8601_PATTERN

See Also:
  Constant Field Values

#### DAILY_DATE_PATTERN

    public static final String DAILY_DATE_PATTERN

See Also:
  Constant Field Values

#### CLF_DATE_PATTERN

    public static final String CLF_DATE_PATTERN

Time format used in Common Log Format

See Also:
  Constant Field Values

#### EVALUATOR_MAP

    public static final String EVALUATOR_MAP

The key used in locating the evaluator map in context's object map.

See Also:
  Constant Field Values

#### FA_FILENAME_COLLISION_MAP

    public static final String FA_FILENAME_COLLISION_MAP

Key used to locate a collision map for FileAppender instances in context's object map. The collision map consists of enties of the type (appender name, File option)

See Also:
  Constant Field Values

#### RFA_FILENAME_PATTERN_COLLISION_MAP

    public static final String RFA_FILENAME_PATTERN_COLLISION_MAP

Key used to locate a collision map for RollingFileAppender instances in context's object map. The collision map consists of entities of the type (appender name, FileNamePattern option)

See Also:
  Constant Field Values

#### VALUE_OF

    public static final String VALUE_OF

By convention, we assume that the static method named "valueOf" taking a string argument can restore a given object from its string representation.

See Also:
  Constant Field Values

#### EMPTY_STRING

    public static final String EMPTY_STRING

An empty string.

See Also:
  Constant Field Values

#### EMPTY_STRING_ARRAY

    public static final String[] EMPTY_STRING_ARRAY

An empty string array.

#### EMPTY_CLASS_ARRAY

    public static final Class<?>[] EMPTY_CLASS_ARRAY

An empty Class array.

#### CAUSED_BY

    public static final String CAUSED_BY

See Also:
  Constant Field Values

#### SUPPRESSED

    public static final String SUPPRESSED

See Also:
  Constant Field Values

#### WRAPPED_BY

    public static final String WRAPPED_BY

See Also:
  Constant Field Values

#### PERCENT_CHAR

    public static final char PERCENT_CHAR

See Also:
  Constant Field Values

#### LEFT_PARENTHESIS_CHAR

    public static final char LEFT_PARENTHESIS_CHAR

See Also:
  Constant Field Values

#### RIGHT_PARENTHESIS_CHAR

    public static final char RIGHT_PARENTHESIS_CHAR

See Also:
  Constant Field Values

#### ESCAPE_CHAR

    public static final char ESCAPE_CHAR

See Also:
  Constant Field Values

#### CURLY_LEFT

    public static final char CURLY_LEFT

See Also:
  Constant Field Values

#### CURLY_RIGHT

    public static final char CURLY_RIGHT

See Also:
  Constant Field Values

#### COMMA_CHAR

    public static final char COMMA_CHAR

See Also:
  Constant Field Values

#### DOUBLE_QUOTE_CHAR

    public static final char DOUBLE_QUOTE_CHAR

See Also:
  Constant Field Values

#### SINGLE_QUOTE_CHAR

    public static final char SINGLE_QUOTE_CHAR

See Also:
  Constant Field Values

#### COLON_CHAR

    public static final char COLON_CHAR

See Also:
  Constant Field Values

#### DASH_CHAR

    public static final char DASH_CHAR

See Also:
  Constant Field Values

#### DEFAULT_VALUE_SEPARATOR

    public static final String DEFAULT_VALUE_SEPARATOR

See Also:
  Constant Field Values

#### TABLE_ROW_LIMIT

    public static final int TABLE_ROW_LIMIT

Number of rows before in an HTML table before, we close the table and create a new one

See Also:
  Constant Field Values

#### OOS_RESET_FREQUENCY

    public static final int OOS_RESET_FREQUENCY

See Also:
  Constant Field Values

#### REFERENCE_BIPS

    public static long REFERENCE_BIPS

The reference bogo instructions per second on Ceki's machine (Orion)

#### MAX_ERROR_COUNT

    public static final int MAX_ERROR_COUNT

See Also:
  Constant Field Values

#### DOT

    public static final char DOT

See Also:
  Constant Field Values

#### TAB

    public static final char TAB

See Also:
  Constant Field Values

#### DOLLAR

    public static final char DOLLAR

See Also:
  Constant Field Values

#### SEE_FNP_NOT_SET

    public static final String SEE_FNP_NOT_SET

See Also:
  Constant Field Values

#### SEE_MISSING_INTEGER_TOKEN

    public static final String SEE_MISSING_INTEGER_TOKEN

See Also:
  Constant Field Values

#### CONFIGURATION_WATCH_LIST

    public static final String CONFIGURATION_WATCH_LIST

See Also:
  Constant Field Values

#### CONFIGURATION_WATCH_LIST_RESET_X

    public static final String CONFIGURATION_WATCH_LIST_RESET_X

See Also:
  Constant Field Values

#### SAFE_JORAN_CONFIGURATION

    public static final String SAFE_JORAN_CONFIGURATION

See Also:
  Constant Field Values

#### XML_PARSING

    public static final String XML_PARSING

See Also:
  Constant Field Values

#### SHUTDOWN_HOOK_THREAD

    public static final String SHUTDOWN_HOOK_THREAD

See Also:
  Constant Field Values

#### HOSTNAME_KEY

    public static final String HOSTNAME_KEY

The key under which the local host name is registered in the logger context.

See Also:
  Constant Field Values

#### UNKNOWN_LOCALHOST

    public static final String UNKNOWN_LOCALHOST

See Also:
  Constant Field Values

#### CONTEXT_NAME_KEY

    public static final String CONTEXT_NAME_KEY

The key under which the current context name is registered in the logger context.

See Also:
  Constant Field Values

#### BYTES_PER_INT

    public static final int BYTES_PER_INT

See Also:
  Constant Field Values

#### MILLIS_IN_ONE_SECOND

    public static final long MILLIS_IN_ONE_SECOND

See Also:
  Constant Field Values

#### MILLIS_IN_ONE_MINUTE

    public static final long MILLIS_IN_ONE_MINUTE

See Also:
  Constant Field Values

#### MILLIS_IN_ONE_HOUR

    public static final long MILLIS_IN_ONE_HOUR

See Also:
  Constant Field Values

#### MILLIS_IN_ONE_DAY

    public static final long MILLIS_IN_ONE_DAY

See Also:
  Constant Field Values

#### MILLIS_IN_ONE_WEEK

    public static final long MILLIS_IN_ONE_WEEK

See Also:
  Constant Field Values

#### SECONDS_TO_WAIT_FOR_COMPRESSION_JOBS

    public static final int SECONDS_TO_WAIT_FOR_COMPRESSION_JOBS

The number of seconds to wait for compression jobs to finish.

See Also:
  Constant Field Values

#### CONTEXT_SCOPE_VALUE

    public static final String CONTEXT_SCOPE_VALUE

See Also:
  Constant Field Values

#### RESET_MSG_PREFIX

    public static final String RESET_MSG_PREFIX

See Also:
  Constant Field Values

#### JNDI_COMP_PREFIX

    public static final String JNDI_COMP_PREFIX

See Also:
  Constant Field Values

#### UNDEFINED_PROPERTY_SUFFIX

    public static final String UNDEFINED_PROPERTY_SUFFIX

See Also:
  Constant Field Values

#### LEFT_ACCOLADE

    public static final String LEFT_ACCOLADE

#### RIGHT_ACCOLADE

    public static final String RIGHT_ACCOLADE

#### UNBOUNDED_TOTAL_SIZE_CAP

    public static final long UNBOUNDED_TOTAL_SIZE_CAP

See Also:
  Constant Field Values

#### UNBOUND_HISTORY

    public static final int UNBOUND_HISTORY

See Also:
  Constant Field Values

#### RECONFIGURE_ON_CHANGE_TASK

    public static final String RECONFIGURE_ON_CHANGE_TASK

See Also:
  Constant Field Values

#### SIZE_AND_TIME_BASED_FNATP_IS_DEPRECATED

    public static final String SIZE_AND_TIME_BASED_FNATP_IS_DEPRECATED

See Also:
  Constant Field Values

### Constructor Detail

#### CoreConstants

    public CoreConstants()